/**
 * XEncounterPerformerParticipation2.java
 *
 * File generated from the medication2::XEncounterPerformerParticipation2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XEncounterPerformerParticipation2.
 *
 * 
 */

@XmlType(name = "XEncounterPerformerParticipation")
@XmlEnum
@XmlRootElement(name = "XEncounterPerformerParticipation2")
public enum XEncounterPerformerParticipation2 {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("SPRF")
	SPRF("SPRF");
	
	private final String value;

    XEncounterPerformerParticipation2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XEncounterPerformerParticipation2 fromValue(String v) {
        for (XEncounterPerformerParticipation2 c: XEncounterPerformerParticipation2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
